Subject: Re: [PATCH 2/3] git-p4: support exclude paths

From: Simon Hausmann <[email-masked]>
Date: Fri, 15 Feb 2008 23:56:31 +0100

On Tuesday 12 February 2008 16:53:38 Tommy Thorn wrote:
> On Sunday 03 February 2008 10:21:05 I wrote:
> > Teach git-p4 about the -/ option which adds depot paths to the exclude
> > list, used when cloning. The option is chosen such that the natural
> > Perforce syntax works, eg:
> >
> >   git p4 clone //branch/path/... -//branch/path/{large,old}/...
> >
> > Trailing ... on exclude paths are optional.
> >
> > This is a generalization of a change by Dmitry Kakurin (thanks).
> >
> > Signed-off-by: Tommy Thorn <[email-masked]>
>
> .. to which Simon replied:
> > Acked-By: Simon Hausmann <[email-masked]>
> >
> > I like it, Perforce'ish syntax. (Not that I like p4 though ;)
>
> Alas, this change needs more work - the exclude paths needs to
> be maintained in the commit messages as otherwise we pull in new
> files in the excluded path. I haven't done this yet.
>
> However, the other patch (git-p4: no longer keep all file contents while
> cloning) is IMO critical. You simply cannot clone a non-trivial Perforce
> repository without it. Why is this being ignored? Are there no users of
> git-p4?

Sorry for the delay, my real life has kept be busy :)

I now looked at the patch and I'm all in favour of applying it. However it 
doesn't seem to apply against the current git-p4. Can you re-send the patch 
to me?

Thanks,
Simon

P.S.: I have applied the other patch (exclude path support)